Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Class XWorkJUnit4TestCase

    java.lang.Object
      com.opensymphony.xwork2.XWorkJUnit4TestCase

    public abstract class XWorkJUnit4TestCase

extends Object

Field Summary
`protected ActionProxyFactory` | `actionProxyFactory`
`protected Configuration` | `configuration`
`protected ConfigurationManager` | `configurationManager`
`protected Container` | `container`

Constructor Summary
`XWorkJUnit4TestCase()`

Method Summary
`protected void` | `loadButAdd(Class<?> type, Object impl)`
`protected void` | `loadButAdd(Class<?> type, String name, Object impl)`
`protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
`void` | `setUp()`
`void` | `tearDown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configurationManager

    protected ConfigurationManager configurationManager

### configuration

    protected Configuration configuration

### container

    protected Container container

### actionProxyFactory

    protected ActionProxyFactory actionProxyFactory

Constructor Detail

### XWorkJUnit4TestCase

    public XWorkJUnit4TestCase()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Throws:
    `Exception`

### tearDown

    public void tearDown()
                  throws Exception

  Throws:
    `Exception`

### loadConfigurationProviders

    protected void loadConfigurationProviders(ConfigurationProvider... providers)

### loadButAdd

    protected void loadButAdd(Class<?> type,
                              Object impl)

### loadButAdd

    protected void loadButAdd(Class<?> type,
                              String name,
                              Object impl)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.